Package org.drinkless.tdlib

# Class TdApi.DeleteGroupCallMessagesBySender

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.DeleteGroupCallMessagesBySender

Enclosing class:
  `TdApi`

public static class TdApi.DeleteGroupCallMessagesBySender extends TdApi.Function<TdApi.Ok>
Deletes all messages sent by the specified message sender in a group call; for live story calls only. Requires groupCall.canDeleteMessages right.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `groupCallId`
  Group call identifier.
  `boolean`
  `reportSpam`
  Pass true to report the messages as spam.
  `TdApi.MessageSender`
  `senderId`
  Identifier of the sender of messages to delete.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteGroupCallMessagesBySender()`
  Default constructor for a function, which deletes all messages sent by the specified message sender in a group call; for live story calls only.
  `DeleteGroupCallMessagesBySender(int groupCallId, TdApi.MessageSender senderId, boolean reportSpam)`
  Creates a function, which deletes all messages sent by the specified message sender in a group call; for live story calls only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### groupCallId

    public int groupCallId
    Group call identifier.

  - ### senderId

    public TdApi.MessageSender senderId
    Identifier of the sender of messages to delete.

  - ### reportSpam

    public boolean reportSpam
    Pass true to report the messages as spam.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DeleteGroupCallMessagesBySender

    public DeleteGroupCallMessagesBySender()
    Default constructor for a function, which deletes all messages sent by the specified message sender in a group call; for live story calls only. Requires groupCall.canDeleteMessages right.

    Returns `Ok`

  - ### DeleteGroupCallMessagesBySender

    public DeleteGroupCallMessagesBySender(int groupCallId, TdApi.MessageSender senderId, boolean reportSpam)
    Creates a function, which deletes all messages sent by the specified message sender in a group call; for live story calls only. Requires groupCall.canDeleteMessages right.

    Returns `Ok`

    Parameters:
      `groupCallId` - Group call identifier.
      `senderId` - Identifier of the sender of messages to delete.
      `reportSpam` - Pass true to report the messages as spam.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR